GNU bug report logs - #52098
28.0.50; (thing-at-point thing) returns blank string in buffer with only whitespace

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Daniel Mendler <mail@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52098 <at> debbugs.gnu.org:


Received: (at 52098) by debbugs.gnu.org; 29 Nov 2021 16:24:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 11:24:31 2021
Received: from localhost ([127.0.0.1]:39128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrjSA-00009H-Q5
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 11:24:30 -0500
Received: from server.qxqx.de ([178.63.65.180]:51621 helo=mail.qxqx.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1mrjS8-000091-RZ
 for 52098 <at> debbugs.gnu.org; Mon, 29 Nov 2021 11:24:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:In-Reply-To:
 MIME-Version:Date:Message-ID:From:References:Cc:To:Subject:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=drFM6N/7nKM9IVjeiNW3TJnVFL9bWWSWfyhKpBAxZhg=; b=j1/n8UmT6BXgXFHl3fAOxrifxq
 PYoF8lOrLM177s/xsgieqd2v4MgEqmQ6BVidLfl3CLeP7adUol6FQEfhGtBUgDwqorVLJz44Guc8z
 GILUGAR9MXhCQhQFJC198HaOllmcOfaf+aGer+/9PgH0JLf76xWnNcfjmbx0/xdOmi68=;
Subject: Re: bug#52098: 28.0.50; (thing-at-point thing) returns blank string
 in buffer with only whitespace
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <c686c26f-1609-25d1-8eee-39c8f643c1b4@HIDDEN>
 <87ilwbszn8.fsf@HIDDEN>
From: Daniel Mendler <mail@HIDDEN>
Message-ID: <8f920bee-ce1a-8dce-66a4-76a3c25f395e@HIDDEN>
Date: Mon, 29 Nov 2021 17:24:20 +0100
MIME-Version: 1.0
In-Reply-To: <87ilwbszn8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52098
Cc: 52098 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> 1. emacs -Q
>> 2. Open new buffer "bug"
>> 3. Enter a few spaces or newlines, but buffer is otherwise empty
>> 4. M-: (thing-at-point 'word) -> Result is string with white space "   "
>>
>> The things `word`, `sexp`, `defun`, `sentence` are also affected.
> 
> Yup.  This should now be fixed in Emacs 29.

Thank you! Would it be possible to backport this to Emacs 28?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52098; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 52098 <at> debbugs.gnu.org and Daniel Mendler <mail@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52098 <at> debbugs.gnu.org:


Received: (at 52098) by debbugs.gnu.org; 29 Nov 2021 16:19:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 11:19:36 2021
Received: from localhost ([127.0.0.1]:39114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrjNQ-0008Rp-6n
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 11:19:36 -0500
Received: from quimby.gnus.org ([95.216.78.240]:59964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mrjNO-0008RY-FA
 for 52098 <at> debbugs.gnu.org; Mon, 29 Nov 2021 11:19:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3XrkeZEC7WdLDOLTsmzY+bVfREURf4hS1jJjGeqGCSw=; b=UDj4I2P7AJWY/Me8XdzEP4qMxv
 VKXSzCqPJG6cYkzqYgRqY+6HiXun33CIMnHRSR3tPeBMIU18eTDEggQEt33o9nD7euieRaqxFUXxp
 XY8XWAAiV031Ahk/gUjpD+qdZSVbCl5JL1jvJRQKxtpYEw1YjhdGA4CIUaBi/YfuNFTk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mrjNF-00068z-2k; Mon, 29 Nov 2021 17:19:28 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Mendler <mail@HIDDEN>
Subject: Re: bug#52098: 28.0.50; (thing-at-point thing) returns blank string
 in buffer with only whitespace
References: <c686c26f-1609-25d1-8eee-39c8f643c1b4@HIDDEN>
X-Now-Playing: Caroline Shaw & =?utf-8?Q?S=C5=8D?= Percussion's _Let The
 Soil Play Its Simple Part_: "Other Song"
Date: Mon, 29 Nov 2021 17:19:23 +0100
In-Reply-To: <c686c26f-1609-25d1-8eee-39c8f643c1b4@HIDDEN> (Daniel
 Mendler's message of "Thu, 25 Nov 2021 11:27:14 +0100")
Message-ID: <87ilwbszn8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Daniel Mendler <mail@HIDDEN> writes: > 1. emacs
 -Q > 2. Open new buffer "bug" > 3. Enter a few spaces or newlines, but buffer
 is otherwise empty > 4. M-: (thing-at-point 'word) -> Result is string with
 white space " " > > The things `wor [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52098
Cc: 52098 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Daniel Mendler <mail@HIDDEN> writes:

> 1. emacs -Q
> 2. Open new buffer "bug"
> 3. Enter a few spaces or newlines, but buffer is otherwise empty
> 4. M-: (thing-at-point 'word) -> Result is string with white space "   "
>
> The things `word`, `sexp`, `defun`, `sentence` are also affected.

Yup.  This should now be fixed in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52098; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Nov 2021 10:27:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 25 05:27:26 2021
Received: from localhost ([127.0.0.1]:55858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mqByP-0000Wf-Jc
	for submit <at> debbugs.gnu.org; Thu, 25 Nov 2021 05:27:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:45014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1mqByM-0000WP-Fp
 for submit <at> debbugs.gnu.org; Thu, 25 Nov 2021 05:27:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41818)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1mqByM-0000Ut-AR
 for bug-gnu-emacs@HIDDEN; Thu, 25 Nov 2021 05:27:22 -0500
Received: from [2a01:4f8:121:346::180] (port=33789 helo=mail.qxqx.de)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1mqByJ-0004Pg-2d
 for bug-gnu-emacs@HIDDEN; Thu, 25 Nov 2021 05:27:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Date:
 Message-ID:Subject:From:To:Sender:Reply-To:Cc:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=NSH7+FKlM4Bemxc5odiVSUVGCZ/RZMbEqxNJZR81D/4=; b=alY8YZSS/TEUD3LeyLz4ZjGvfA
 fcgbXZNBkq3H1NvrPqrYhnb6wSOgQBH1xDhVgzGIzJqBz+WltTpvVj/Nw6mj0IGwWwiezzO/AyQfc
 J07Hfiwi1SqggV2BKeLR3chu84eB+zm2IvkP+MvmoGP+wgWewlGyzoM+pFV3JWEGwahA=;
To: bug-gnu-emacs@HIDDEN
From: Daniel Mendler <mail@HIDDEN>
Subject: 28.0.50; (thing-at-point thing) returns blank string in buffer with
 only whitespace
Message-ID: <c686c26f-1609-25d1-8eee-39c8f643c1b4@HIDDEN>
Date: Thu, 25 Nov 2021 11:27:14 +0100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a01:4f8:121:346::180
 (failed)
Received-SPF: pass client-ip=2a01:4f8:121:346::180;
 envelope-from=mail@HIDDEN; helo=mail.qxqx.de
X-Spam_score_int: -33
X-Spam_score: -3.4
X-Spam_bar: ---
X-Spam_report: (-3.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_MED=-2.3, RDNS_NONE=0.793, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

1. emacs -Q
2. Open new buffer "bug"
3. Enter a few spaces or newlines, but buffer is otherwise empty
4. M-: (thing-at-point 'word) -> Result is string with white space "   "

The things `word`, `sexp`, `defun`, `sentence` are also affected.

On Emacs 27, (thing-at-point 'symbol) returns returns also a string with
white space only, but this has been fixed apparently in Emacs 28.

In GNU Emacs 28.0.50 (build 58, x86_64-pc-linux-gnu, GTK+ Version
3.24.5, cairo version 1.16.0)
 of 2021-08-13 built on projects
Repository revision: 30ca42b49d5b5316abb3ebad38b0e9629eb52920
Repository branch: deferred-highlighting-version2
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --prefix=/home/user/emacs/install --with-cairo'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils thingatpt vc-git diff-mode easy-mmode
vc-dispatcher cl-loaddefs cl-lib seq byte-opt gv bytecomp byte-compile
cconv iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 54675 6014)
 (symbols 48 7151 1)
 (strings 32 20367 1488)
 (string-bytes 1 668047)
 (vectors 16 13557)
 (vector-slots 8 183392 10013)
 (floats 8 23 39)
 (intervals 56 199 1)
 (buffers 992 12))




Acknowledgement sent to Daniel Mendler <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52098; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Nov 2021 16:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.